NSRCAP(8)

NAME
nsrcap - update the capabilities of a NetWorker installation

SYNOPSIS
nsrcap [ -vn ] { -c | -d | -u } enabler-code

DESCRIPTION
The nsrcap program is primarily used to enable new features on NetWorker. You can also use nsrcap to upgrade or downgrade NetWorker software features that are currently being used. (Upgrades and downgrades should be performed carefully. Read the options descriptions below). Enablers are separate from the NetWorker software, and are specified by an 18-digit code, usually displayed as 3 groups of 6 digits each. To enable a new feature, the nsrd(8) program must be running on the system where the NetWorker server software is installed. To enable a new feature you must be logged in to the NetWorker server as administrator or root. The nsrcap program is run once for each feature you want to enable by specifying the 18-digit code each time. If no errors occur, no output is printed. You can inspect the enablers currently loaded by viewing the NSR license resources using nwadmin(8) or nsradmin(8).

OPTIONS

-c  Causes nsrcap to enable a feature that is not currently installed, using the specified enabler code. You can only load a feature once; an error is returned if you attempt to load the enabler more than once. You can only specify one of the -c, -d, or -u options.

-d  Causes nsrcap to downgrade an existing Base or Jukebox enabler. After you downgrade the enabler, you cannot return to the previous level enabled on the system. Do not use the -u option unless instructed to do so by Legato Technical Support. You must specify one of the -c, -d, or -u options.

-u  Causes nsrcap to enter an enabler that upgrades an existing Base or Jukebox enabler. After you upgrade the enabler, you cannot return to the previous level enabled on the system. Do not use the -u option unless instructed to do so by Legato Technical Support.

-v  Causes nsrcap to display more verbose information, describing the enabler being loaded. You must specify one of the -c, -d, or -u options.

-n  No load. Causes nsrcap to inspect the enabler code for validity. When you specify the -n option, the enabler code you enter on the command line is inspected and verified, but is not entered into the NetWorker server's nsr_license resource.

SEE ALSO
nwadmin(8), jbconfig(8), nsradmin(8), nsrd(8).

DIAGNOSTICS

enabler-code is too long
    Enabler codes must be 18 digits in length. The code entered is longer than 18 digits, and is invalid.

invalid code: xxxxxx-xxxxxx-xxxxxx
    The 18-digit code entered on the command line is invalid. Re-check the enabler-code on your enabler sheet.

cannot find a jukebox resource to enable
    The code word entered is a jukebox license enabler, but there are no jukebox resources to enable. You need to run jbconfig(8) to complete the jukebox installation before running nsrcap.

found a jukebox, but it had more than N slots.
    Jukebox enablers can only enable jukeboxes with at most N physical slots, where N is the type of jukebox enabler. Either the jukebox was installed incorrectly, or you need to obtain a larger jukebox enabler.

this enabler-code is already assigned
    The enabler-code entered is already loaded onto the system and cannot be used again for an upgrade.

no appropriate jukeboxes to upgrade
    An upgrade was attempted, but no jukebox resources were found. Only use the -u option for jukeboxes when upgrading from one jukebox level to another, not on the initial installation. You also need to run jbconfig(8) before running nsrcap.

this enabler-code previously loaded
    The enabler-code entered has been loaded onto the system previously and cannot be used again. You need to purchase a new enabler-code for the upgrade.

don't know how to upgrade this enabler
don't know how to downgrade this enabler
    The enabler-code entered is not for a base or jukebox enabler. These are the only types of enablers that you can currently upgrade or downgrade.

base enabler must be loaded before upgrading
base enabler must be loaded before downgrading
    You cannot perform an upgrade or downgrade until a base product has been installed. Install a base enabler, and then perform the upgrade or downgrade.

cannot find the enabler to upgrade
    A jukebox upgrade was attempted, but the license enabler for the jukebox is not currently loaded. You must use the -c option for the initial installation of a jukebox enabler, not the -u option.

RPC error: Program not registered
    The nsrcap program requires that the NetWorker daemons be running. Start your NetWorker daemons (cd /; nsrd) and re-run the nsrcap program. If nsrd is already running, you have probably reached a resource limit on the server (for example, not enough memory, or no more processes).

RAP error: user login name needs to be of the type:NSR administrator list.
    Your login name is not listed in the administrator's list for the server. You need to be a valid administrator to run nsrcap.

RAP error: ...
    Various other errors can be returned from nsrd if the enabler is invalid. For example, if you try to load a base enabler onto a system that already has a base enabler loaded, or if you attempt to load a jukebox enabler before the jukebox has been completely installed. The specific problem will follow the RAP error prefix.